Export chart
GET
https://api.datawrapper.de/v3/charts/{id}/export/{format} Export your chart as image or document for use in print or presentations.
Not all formats might be available to you, based on your account. Requires scope chart:read.
Example Request
curl --request GET \
--url 'https://api.datawrapper.de/v3/charts/example-id/export/png?unit=px&mode=rgb' \
--header 'Authorization: Bearer <YOUR_TOKEN_HERE>'# 14 more query parameters available — see below.Path Parameters
| Name | Type | Allowed values | Required | Description |
|---|---|---|---|---|
id | string | 5 characters | Yes | 5 character long chart ID. |
format | string | png, svgor pdf | Yes | Export format |
Query Parameters
| Name | Type | Allowed values | Required | Description |
|---|---|---|---|---|
unit | string | in, mmor px Default: px | No | |
mode | string | rgbor cmyk Default: rgb | No | |
width | number | 1 or more | No | |
height | number | numberor auto 1 or more | No | |
plain | boolean | Default: false | No | |
scale | number | Any | No | |
zoom | number | Default: 2 | No | |
borderWidth | number | Any | No | |
borderColor | string | Any | No | |
download | boolean | Default: false | No | |
fullVector | boolean | Default: false | No | |
ligatures | boolean | Default: true | No | |
transparent | boolean | Default: false | No | |
logo | string | auto, onor off Default: auto | No | |
logoId | string | Any | No | |
dark | boolean | Default: false | No |